from flask import request
from flask_shop.user import user
from flask_shop import models

'''
视图函数文件
'''
@user.route('/')
def index():
    return "user hello"

@user.route('/login',methods=['POST'])
def login():
    name = request.form.get('name')
    pwd = request.form.get('pwd')

    if not all([name,pwd]): #判断值是否都为空
        return {'status':1000,'msg':'数据不完整'}
    if len(name)>1:
        usr = models.User.query.filter_by(name=name).first()
        if usr:
            if usr.check_password(pwd):
                return {'status':200,'msg':'登录成功!!!'}

    return {'status':1001,'msg':'用户名或密码错误!!!'}

