from flask_shop import create_app,db
from flask_migrate import Migrate,MigrateCommand
from flask_script import Manager

app = create_app('develop') 
manager = Manager(app)
Migrate(app,db)
manager.add_command('db',MigrateCommand)

'''
python manager.py db init 初始化，执行一次

python manager.py db migrate 生成表结构

python manager.py db upgrade 映射到数据库

注意： if __name__ == "__main__": 下面写的是 manager.run()

'''

if __name__ == "__main__":
    app.run()  # 运行项目
    # manager.run()  # 创建管理命令

